Bug 19391 - Add JDBC Driver Dialog : Validation not done & Help Button be provided
Add JDBC Driver Dialog : Validation not done & Help Button be provided
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: 3.x
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 22:49 UTC by Sakthivel Gopal
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sakthivel Gopal 2002-01-11 22:49:15 UTC
Current/FFJ Build
On Runtime Tab - > database -> Drivers, Choose 'Add JDBC Driver' from popup
menu,
Give no name, Driver class as 'abc',  DB URL as 'abc'.
It adds a node with no name.
Validation needs to be done.

A Help button in this dialog can provide user required information to enhance
usablility.
Comment 1 Radko Najman 2002-03-21 17:17:57 UTC
Fixed. Validation for driver name and driver class implemented. If
driver name or driver class is missing, following error message is
displayed:
Insufficient information to add new driver. Please check that the
driver name and driver class are entered correctly.

Help button will be investigated for new database module based on MDR.
Comment 2 David Kaspar 2002-11-18 15:22:21 UTC
Verified in main trunk
Comment 3 Quality Engineering 2003-06-30 17:17:47 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo